# GimpUi.ProcedureDialog.prototype.get_int_combo

    function get_int_combo(property: String, store: GimpUi.IntStore): Gtk.Widget {
        // Gjs wrapper for gimp_procedure_dialog_get_int_combo()
    }

Creates a new GimpUi.LabelIntWidget for property which must necessarily be an integer or boolean property. This must be used instead of GimpUi.ProcedureDialog.prototype.get_widget when you want to create a combo box from an integer property.

If a widget has already been created for this procedure, it will be returned instead (whatever its actual widget type).

property

  name of the int property to build a combo for. It must be a property of the Gimp.Procedure dialog has been created for.

store

  the GimpUi.IntStore which will be used.

Returns

  the Gtk.Widget representing property. The object belongs to dialog and must not be freed.